Trying to help a friend

Discussion in 'Wii - Hacking' started by ecw, Mar 11, 2009.

Mar 11, 2009

Trying to help a friend by ecw at 11:41 PM (752 Views / 0 Likes) 5 replies

  1. ecw
    OP

    Member ecw GBAtemp Regular

    Joined:
    Jan 7, 2009
    Messages:
    175
    Country:
    United States
    A friend of mine had her Wii "soft-modded" by someone. She is not sure what he did but she did an upgrade to 3.3U and now her homebrew won't work. She is getting the old "Invalid Wii Applicatiuon" error. I know that is from the upgrade and the "old" apps can't run on 3.4.

    She asked me if I could help. I have my Wii Softmodded on 3.4U from following a great guide on this site. All my homebrew and backups work fine. I know the best solution is to downgrade to 3.2, however, I would like her to be set up like me on 3.4.

    I can't tell what the guy before did but her SD card only has emulators and roms (all w.Elf files not .dol) There is one folder called Themes. I did not see a Softmii folder or anything else. I am concerned he might have used something like softmii or something, so I am afraid I might brick her Wii if I just try to upgrade to 3.4 and install the wads like on mine. I have never used preloader or softmii so I have no idea how the SD card should look.

    I guess my question is if I do the upgrade and softmod by just installing my wads will it just over write anything he did or will it cause a brick? I did notice he HBC showed Ver 1.0.1 IOS36 V418 while mine says 1.0.1 IOS36 V12.78 if that helps. From what I can tell by looking at it, it appears he just downgraded to 3.2 and then installed HBC and some emulators and a DVD player. Thanks in advance for any help!
     
  2. Jotokun

    Member Jotokun GBAtemp Regular

    Joined:
    Sep 22, 2008
    Messages:
    165
    Country:
    United States
    Where are you seeing this message? If its in the System Menu(Screen you see after you hit "a", with all the chanels), then I dont know how to help.

    You mentioned that all your files are .elf instead of .dol, though. Is this message appearing in the homebrew channel? If so, then they're in an older format and can be converted on a computer. If your using Microsoft Windows, use this utility:
    ELF to DOL Converter

    Hope this helps.
     
  3. ecw
    OP

    Member ecw GBAtemp Regular

    Joined:
    Jan 7, 2009
    Messages:
    175
    Country:
    United States
    Thanks for the quick reply. I see that message on the upper right corner of the HBC when you go to exit it. Thanks for the link to the converter. So if I convert the .elf's to .dols will they load for her on 3.3 or should I just upgrade and install the 3.4 package I use?
     
  4. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    The error comes most likely from a HBC update and not from a Wii update. For most applications it's best to search for new versions, as only really old versions were released as .elf and not as .dol.
     
  5. ecw
    OP

    Member ecw GBAtemp Regular

    Joined:
    Jan 7, 2009
    Messages:
    175
    Country:
    United States
    Thanks WiiPower. I don't think it's an error message just version info. So if I just upgrade her with my package (lol, that didn't sound right) and replace the emu's with new emu's she should be ok? If softmii or preloader were installed, would there be any folders on the SD card that would show it? Still worried about what was done previously.
     
  6. afif95

    Member afif95 I own a bungalow on Mars, and booked 4 corner lots

    Joined:
    Nov 24, 2008
    Messages:
    1,805
    Location:
    Malaysia!
    Country:
    Malaysia
    It depends. Softmii is a guide, a pack you might say.

    To scan if the Wii has Preloader, try holding reset while turning on the Wii. No menu? No Preloader.

    To scan if the Wii has Starfall, hold Y (GC Pad) while turning on the Wii. No black screen with version number on bottom-right? No Starfall

    To scan if the Wii has Softmii, test all the above. Then, try a backup, put it in the disc slot while you're in the system menu, see if the banner of the game shows in Disc Channel.


    Check her Wii's System Menu's version. 3.3 and above? Do downgrade. Oh and I really recommend you downgrade seeing as you are installing WADs. Say if you install a bad WAD, no recovery.
     

Share This Page